Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-1108

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2012-1108
Last Modified 18 Dec 2012 11:50:23
Published 06 Sep 2012 02:55:01
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2012-1108

Summary

The parse function in ogg/xiphcomment.cpp in TagLib 1.7 and earlier allows remote attackers to cause a denial of service (crash) via a crafted vendorLength field in an ogg file.

Vulnerable Systems

Application

  • Scott Wheeler Taglib 1.0

  • Scott Wheeler Taglib 1.1

  • Scott Wheeler Taglib 1.2

  • Scott Wheeler Taglib 1.3

  • Scott Wheeler Taglib 1.3.1

  • Scott Wheeler Taglib 1.4

  • Scott Wheeler Taglib 1.5

  • Scott Wheeler Taglib 1.6

  • Scott Wheeler Taglib 1.6.1

  • Scott Wheeler Taglib 1.6.2

  • Scott Wheeler Taglib 1.6.3

  • Scott Wheeler Taglib 1.7


References

CONFIRM - https://github.com/taglib/taglib/commit/b3646a07348ffa276ea41a9dae03ddc63ea6c532

XF - taglib-parse-dos(73665)

BID - 52284

MLIST - [oss-security] 20120305 Re: CVE-Request taglib vulnerabilities

GENTOO - GLSA-201206-16

SECUNIA - 49688

SECUNIA - 48211

OSVDB - 79813

MLIST - [pipermail] 20120305 multiple security vulnerabilities in taglib

MLIST - [pipermail] 20120304 multiple security vulnerabilities in taglib

SECUNIA - 48792

Related Patches

Novell SUSE 2012:6179 taglib security update for SLE 11 SP1 i586

Novell SUSE 2012:6179 taglib security update for SLE 11 SP1 x86_64

Novell SUSE 2012:8041 taglib security update for SLE 10 SP4 i586

Novell SUSE 2012:8041 taglib security update for SLE 10 SP4 x86_64


Last Updated: 27 May 2016 11:00:30